Skip to main content
POST
/
api
/
v1
/
campaigns
Create campaign
curl --request POST \
  --url https://nudgen.net/api/v1/campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "API launch test",
  "goal": "Invite contacts to try Nudgen.",
  "subject": "Try Nudgen",
  "html": "<p>Ready to launch smarter email?</p>",
  "link": "https://nudgen.net"
}
'
{
  "campaign": {
    "id": "<string>",
    "name": "<string>",
    "subject": "<string>",
    "scheduledAt": "2023-11-07T05:31:56Z",
    "sentAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nudgen.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal Access Token created from Settings -> API Keys.

Body

application/json
name
string
required
goal
string
required
subject
string
required
html
string
required
audienceType
enum<string>
default:all
Available options:
all,
tags,
manual
audienceTags
string[]
audienceContactIds
string[]
sendNow
boolean
default:false
scheduledAt
string<date-time>
personalizationMode
enum<string>
default:off
Available options:
off,
lead_description_intro

Response

Campaign created

campaign
object